Subject: Re: Zsh completion problem
From: Vikas Mishra <[email-masked]>
To: "Peter A. Castro" <[email-masked]>
Cc: [email-masked]
Date: Sun, 3 Apr 2011 23:56:16 -0700
List-Id: <cygwin.cygwin.com>

Hello Peter,

On Sun, Apr 3, 2011 at 11:44 PM, Peter A. Castro <[email-masked]> wrote:
>
>> On Sun, Apr 3, 2011 at 9:40 PM, Peter A. Castro <[email-masked]>
>> wrote:
>
> Could you provide your /etc/fstab so we can see what you are doing (for
> the failing case)?  I'd like to try testing exactly your config.

I have attached the /etc/fstab file with this email. I am pasting the
only uncommented line here for convenience.

none / cygdrive binary,posix=0,user 0 0

>
> Also, could you run "cygcheck" as per:
>  http://cygwin.com/problems.html
>
> This sounds like it might be a mount issue for cygdrive, but that's just
> a guess.  The completion failure for #b would appear to indicate that zsh
> was unable to find a directory entry for some part of the path.  If
> there's something funny about how cygdrive is mounted over root, that
> might account for the completion failure.  Again, sheer speculation at
> this point.

The cygcheck output is also attached.

Regards,
Vikas
--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple